> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Specified User Profiles

> Get the public profiles for a specified list of users



## OpenAPI

````yaml post /v1/profiles/specify
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/profiles/specify:
    post:
      tags:
        - profiles
      summary: ' Get Specified User Profiles'
      description: Get the public profiles for a specified list of users
      operationId: _get_specified_user_profiles_v1_profiles_specify_post
      requestBody:
        content:
          application/json:
            schema:
              items:
                type: string
                format: uuid
              type: array
              title: Specified
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UserPublicProfile'
                type: array
                title: Response  Get Specified User Profiles V1 Profiles Specify Post
        4XX:
          description: Unified Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UserPublicProfile:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        username:
          type: string
          title: Username
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
      type: object
      required:
        - id
        - username
        - first_name
        - last_name
        - bio
        - photo
      title: UserPublicProfile
    UnifiedError:
      discriminator:
        mapping:
          auth: '#/components/schemas/AuthError'
          basic: '#/components/schemas/BasicError'
          card: '#/components/schemas/CardError'
          numeric: '#/components/schemas/NumericError'
          permission: '#/components/schemas/PermError'
          recaptcha: '#/components/schemas/RecaptchaError'
          turnstile: '#/components/schemas/TurnstileError'
          validation: '#/components/schemas/ValidationError'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/AuthError'
        - $ref: '#/components/schemas/BasicError'
        - $ref: '#/components/schemas/CardError'
        - $ref: '#/components/schemas/PermError'
        - $ref: '#/components/schemas/RecaptchaError'
        - $ref: '#/components/schemas/TurnstileError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/NumericError'
    AuthError:
      properties:
        type:
          const: auth
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          enum:
            - APIKey
            - Bearer
            - Fresh
            - Refresh
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: AuthError
      type: object
    BasicError:
      properties:
        type:
          const: basic
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: 'null'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: BasicError
      type: object
    CardError:
      properties:
        type:
          const: card
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          format: uuid
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: CardError
      type: object
    PermError:
      properties:
        type:
          const: permission
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          $ref: '#/components/schemas/PermErrorMeta'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: PermError
      type: object
    RecaptchaError:
      properties:
        type:
          const: recaptcha
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: boolean
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: RecaptchaError
      type: object
    TurnstileError:
      properties:
        type:
          const: turnstile
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          items:
            type: string
          title: Meta
          type: array
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: TurnstileError
      type: object
    ValidationError:
      properties:
        type:
          const: validation
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          additionalProperties:
            type: string
          title: Meta
          type: object
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: ValidationError
      type: object
    NumericError:
      properties:
        type:
          const: numeric
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          anyOf:
            - type: number
            - type: integer
          title: Meta
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: NumericError
      type: object
    PermErrorMeta:
      properties:
        perm_name:
          title: Perm Name
          type: string
        perm_value:
          title: Perm Value
          type: integer
      required:
        - perm_name
        - perm_value
      title: PermErrorMeta
      type: object
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````